Re: [proaudio] ardour-3.9999 issues

[ Thread Index | Date Index | More lists.tuxfamily.org/proaudio Archives ]


Try to use this diff. It works for me.

2010/3/24, Alex Montgomery <apmontgomery@xxxxxxxxx>:
Hello,
Is anyone successfully using the ardour-3.9999 ebuild? My emerge
fails, seemingly because waf is getting some unexpected parameters. I
don't know if this is an issue with the ebuild, or if the ardour svn
repository just happens to be in a bad state right now. Here's my
emerge output, anyone have any ideas?

* CPV:  media-sound/ardour-3.9999
  * REPO: proaudio
  * USE:  amd64 elibc_glibc kernel_linux lv2 multilib nls sse userland_GNU
>>> Unpacking source...
  * subversion update start -->
  *      repository: http://subversion.ardour.org/svn/ardour2/branches/3.0
At revision 6788.
  *    working copy: /usr/portage/distfiles/svn-src/ardour/3.0

>>> Source unpacked in /var/tmp/portage/media-sound/ardour-3.9999/work
>>> Preparing source in /var/tmp/portage/media-sound/ardour-3.9999/work/ardour-3.9999 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/media-sound/ardour-3.9999/work/ardour-3.9999 ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/media-sound/ardour-3.9999/work/ardour-3.9999 ...
  * ./waf --freedesktop --prefix=/usr --aubio --nls --lv2 --fpu-optimization
waf [command] [options]

Main commands (example: ../waf build -j4)
  build    : builds the project
  clean    : removes the build files
  configure: configures the project
  dist     : makes a tarball for redistributing the sources
  distcheck: checks if the sources compile (tarball from 'dist')
  distclean: removes the build directory
  install  : installs the build files
  uninstall: removes the installed files

waf: error: no such option: --aubio
  * ERROR: media-sound/ardour-3.9999 failed:
  *   failed to configure

Thanks,

-- Alex





--
WBR, Viktor
--- pro-audio/media-sound/ardour/ardour-3.9999.ebuild	2010-03-22 02:11:29.000000000 +0400
+++ pro-audio-local/media-sound/ardour/ardour-3.9999.ebuild	2010-02-07 20:16:31.000000000 +0400
@@ -57,7 +57,9 @@
 	cd "${S}"
 	# get the svn revision
 	subversion_wc_info
-	echo $ESVN_WC_REVISION > libs/ardour/svn_revision.cc
+	echo '#include "ardour/svn_revision.h"' > libs/ardour/svn_revision.cc
+	echo "namespace ARDOUR { const char* svn_revision=\"$ESVN_WC_REVISION\"; }" >> libs/ardour/svn_revision.cc
+	echo >> libs/ardour/svn_revision.cc
 
 
 ##	# some temporary slotting fixes
@@ -74,7 +76,7 @@
 	
 src_compile() {
 
-	local myconf="--freedesktop --prefix=/usr --aubio"
+	local myconf="--freedesktop --prefix=/usr"
 		use debug     && myconf="$myconf --debug"
 		use nls       && myconf="$myconf --nls"
 		use lv2       && myconf="$myconf --lv2"
@@ -89,7 +91,7 @@
 
 	einfo "./waf $myconf" # show configure options
 	./waf configure $myconf || die "failed to configure"
-	./waf build ${MAKEOPTS} || die "failed to build"
+	./waf build ${MAKEOPTS/-s/} || die "failed to build"
 }
 
 src_install() {


Mail converted by MHonArc 2.6.19+ http://listengine.tuxfamily.org/